<?php
if ( ! defined( 'ABSPATH' ) ) exit;
class Event_Registration_Pro_EmailTemplates {
	    
	////////////////////////////////////////Data in the Email Templates//////////////////////////////////////////// 
	public function add_event_email_templates_metaboxes()
	{   
		$prefix = 'erp_email_template_'; 

		global $meta_box_email_template;
		$meta_box_email_template = array(
			'id' => 'event-emails-templates-meta-boxes',
			'title' => "Email Details",
			'page' => 'erp_email_template',  
			'context' => 'normal',
			'priority' => 'low',
			'fields' => array( 
				array(
					'name' 	=>  __( 'Subject', 'event-registration-pro' ), 
					'desc'	=> '',
					'id' 	=> $prefix . 'subject',
					'type' 	=> 'text',
					'std' 	=> '',
					'taxonomy' => '',
					'required' => 0,
					'class' => '',
					'values' => '',
					'post_type' => '',
					'maxlength' => '',
					'half_width' => 0,
					'sub_title_div' => '',
					'extra_class_div' => '',
					'is_wp_editor' => 0 
				), 
				array(
					'name' 	=> __( 'Email Type', 'event-registration-pro' ), 
					'desc'	=> '',
					'id' 	=> $prefix . 'registrant_confirmation',
					'type' 	=> 'select',
					'std' 	=> '',
					'taxonomy' => '',
					'required' => 0,
					'class' => '',
					'values' => array('Registrant Confirmation','Organizer Confirmation','Reminder Notification','Invoice'),
					'post_type' => '',
					'maxlength' => '',
					'half_width' => 0,
					'sub_title_div' => '',
					'extra_class_div' => '',
					'is_wp_editor' => 0
				),
				array(
					'name' 	=> __( 'Email Body', 'event-registration-pro' ), 
					'desc'	=> '',
					'id' 	=> $prefix . 'email_body',
					'type' 	=> 'textarea',
					'std' 	=> '',
					'taxonomy' => '',
					'required' => 0,
					'class' => '',
					'values' => '',
					'post_type' => '',
					'maxlength' => '',
					'half_width' => 0,
					'sub_title_div' => '',
					'extra_class_div' => '',
					'is_wp_editor' => 1 
				), 
				array(
					'name' 	=> '', 
					'desc'	=> '',
					'type' 	=> '',
					'std' 	=> '',
					'taxonomy' => '',
					'required' => 0,
					'class' => '',
					'values' => '',
					'post_type' => '',
					'maxlength' => '',
					'half_width' => 1,
					'sub_title_div' => '
                <h3>Available Email Tags</h3><br>Each of the following tags can be used in your email template and will be replaced with their value. <br><br> {registrationid} - The Registration ID of the registrant<br> {fullname} - The Registrant`s Full Name <br> {email} - The Registrant`s Email address <br> {sitename} - The website name defined in your Joomla global configuration <br> {eventtitle} - The Event`s Title <br> {location} - The Event Location Title <br> {url} - The Event Details Page URL <br> {street} - The Location Street Name <br> {city} - The Location`s City <br> {zip} - The Location Zip Code <br> {country} - The Location Country Code <br> {locdescription} - The Location Description <br> {eventstart} - The event start date and time <br> {eventend} - The event end date and time <br> {shortdesc} - The event short description <br> {longdesc} - The event long description <br> {groupregistrationcount} - Shows the number of registrants that were registered with a group registration. <br> {registrationdetails} - Adds the registrants form data that they filled out in the registration form. <br> {transactiondetails} - Adds all the transaction details and includeds tickets prices, payment method, and total amount paid. <br> {resumepaymentlink} - Adds a link that allows the pending registrant to continue with the registration process.     ',
					'extra_class_div' => '',
					'is_wp_editor' => 0 
				)           
			)   
		);
		add_meta_box($meta_box_email_template['id'], $meta_box_email_template['title'], array(&$this, 'show_erp_event_emails_metabox'), 'erp_email_template', $meta_box_email_template['context'], $meta_box_email_template['priority']); 
	}
	
 	//Function to show Event Emails Metaboxes 
	public function show_erp_event_emails_metabox()  
	{   
		global $meta_box_email_template; 
		$plugin_metabox = new Event_Registration_Pro_Show_Metabox(); 		
		$plugin_metabox->fn_show_fields($meta_box_email_template,'event_email_template');
	}  
}